MacWrtProStructuresInternal::Section Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MacWrtProStructuresInternal::Section Struct Reference

Internal: the section of a MacWrtProStructures. More...

## Public Types
enum | StartType { S_Line, S_Page, S_PageLeft, S_PageRight }

## Public Member Functions
| Section ()
| constructor More...
MWAWSection | getSection () const
| returns a MWAWSection More...
int | numColumns () const
| return the number of columns More...

## Public Attributes
StartType | m_start
| the way to start the new section More...
std::vector< float > | m_colsPos
| the columns position ( series of end columns <-> new column begin) More...
int | m_headerIds [2]
| the header block ids More...
int | m_footerIds [2]
| the footerer block ids More...
long | m_textLength
| the number of character in the sections More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator<< More...

## Detailed Description

Internal: the section of a MacWrtProStructures.

## Member Enumeration Documentation

enum MacWrtProStructuresInternal::Section::StartType

Enumerator
S_Line |
S_Page |
S_PageLeft |
S_PageRight |

## Constructor & Destructor Documentation

MacWrtProStructuresInternal::Section::Section | ( |  | ) |
| inline

constructor

## Member Function Documentation

MWAWSection MacWrtProStructuresInternal::Section::getSection | ( |  | ) | const
| inline

returns a MWAWSection

Referenced by MacWrtProStructuresListenerState::sendSection().

int MacWrtProStructuresInternal::Section::numColumns | ( |  | ) | const
| inline

return the number of columns

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |
| friend

operator<<

## Member Data Documentation

std::vector<float> MacWrtProStructuresInternal::Section::m_colsPos

the columns position ( series of end columns <-> new column begin)

Referenced by getSection(), numColumns(), and MacWrtProStructures::readSections().

std::string MacWrtProStructuresInternal::Section::m_extra

extra data

Referenced by MacWrtProStructures::readSections().

int MacWrtProStructuresInternal::Section::m_footerIds[2]

the footerer block ids

Referenced by MacWrtProStructures::buildPageStructures(), MacWrtProStructures::readSections(), and Section().

int MacWrtProStructuresInternal::Section::m_headerIds[2]

the header block ids

Referenced by MacWrtProStructures::buildPageStructures(), MacWrtProStructures::readSections(), and Section().

StartType MacWrtProStructuresInternal::Section::m_start

the way to start the new section

Referenced by MacWrtProStructures::buildPageStructures(), MacWrtProStructures::readSections(), and MacWrtProStructuresListenerState::sendSection().

long MacWrtProStructuresInternal::Section::m_textLength

the number of character in the sections

Referenced by MacWrtProStructures::buildPageStructures(), and MacWrtProStructures::readSections().

The documentation for this struct was generated from the following file:

- MacWrtProStructures.cxx